<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="styles/styles.css" />
    <title>Document</title>
  </head>
  <body class="bg-ludusWhite overflow-hidden">
    <!-- Sidenav and nav -->
    <section
      class="w-full fixed h-screen lg:hidden z-10 font-extralight rounded-r-2xl sidebar sidebar--active"
    >
      <div class="w-80 h-screen bg-ludusWhite fixed z-10 shadow-2xl">
        <div class="flex items-center p-5">
          <a href="#" id="menuToggle">
            <img src="assets/hamburger.svg" class="mr-4 lg:hidden" />
          </a>
          <h1 class="text-4xl text-ludusPrimary">Ludus</h1>
        </div>
        <div class="p-4 flex items-center">
          <img src="assets/tutor.svg" alt="" />
          <p class="ml-4">Request Tutors/Editors</p>
        </div>
        <div class="p-4 flex items-center navbar--active">
          <img src="assets/search--active.svg" />
          <p class="ml-4">Browse Tutors/Editors</p>
        </div>
      </div>
      <!-- <div class="w-full h-screen bg-black opacity-40"></div> -->
    </section>

    <div class="grid grid-cols-7 h-screen">
      <div class="col-span-5 overflow-y-scroll">
        <header
          class="flex p-4 lg:p-8 w-full items-center border-gray-100 font-thin justify-between top-0"
        >
          <!-- Main -->
          <div class="flex items-center">
            <a href="#" id="menuToggleInner">
              <img src="assets/hamburger.svg" class="mr-4 lg:hidden z-10" />
            </a>
            <h1 class="text-4xl text-ludusPrimary">Ludus</h1>
          </div>

          <!-- User -->
          <div class="mb-1 flex items-center">
            <nav class="ml-24 hidden lg:flex">
              <a
                href="#"
                class="ml-12 flex items-center text-ludusPrimary font-semibold bg-ludus"
              >
                <img src="assets/tutor--blue.svg" />
                <p class="ml-4">Request Tutors/Editors</p>
              </a>
              <a
                href="#"
                class="ml-12 flex items-center text-ludusPrimary font-semibold bg-ludus"
              >
                <img src="assets/search--blue.svg" />
                <p class="ml-4">Browse Tutors/Editors</p>
              </a>
            </nav>
            <a href="#" class="font-semibold hidden xl:block ml-4">
              <img
                src="https://images.unsplash.com/photo-1531427186611-ecfd6d936c79?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1234&q=80"
                alt="Profile Picture"
                class="ml-6 w-12 h-12 rounded-full translate-y-10"
              />
            </a>
          </div>
        </header>
        <!-- End navbar -->

        <main class="flex">
          <!-- Main -->
          <section class="pt-10 px-20 w-full">
            <h1 class="text-4xl font-extralight">Updates</h1>

            <div class="grid lg:grid-cols-2 xl:grid-cols-3 gap-2 mt-4">
              <!-- Card -->
              <div
                class="border text-left rounded-xl border-ludusCardOutline shadow-cardShadow bg-ludusWhite"
              >
                <!-- Profile -->
                <div class="border-b p-4 bg-white">
                  <!-- Rating and top links -->
                  <div class="flex justify-between">
                    <div class="flex">
                      <img src="assets/star.svg" />
                      <p class="ml-1 font-bold text-sm">4.9</p>
                      <p class="ml-1 italic font-extralight">(270)</p>
                    </div>
                    <a
                      href="#"
                      class="text-ludusPrimary italic font-semibold underline"
                      >Profile</a
                    >
                  </div>

                  <!-- Profile Glance -->
                  <div class="flex flex-col items-center">
                    <div class="relative">
                      <img
                        src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                        class="mt-4 w-24 rounded-full"
                      />
                      <div class="activity-dot activity-dot--active"></div>
                    </div>
                    <p class="font-bold mt-2">Johnathan W.</p>
                    <div class="flex items-center mt-1">
                      <img src="assets/clock.svg" class="w-3" />
                      <p class="italic font-extralight text-xs ml-1">
                        Within 48 Hours
                      </p>
                    </div>
                  </div>
                  <!-- Specialties -->
                  <div
                    class="flex justify-center mt-3 text-ludusPrimary text-sm"
                  >
                    <p
                      class="mx-1 border border-ludusPrimary rounded-full py-1 px-2"
                    >
                      MLA
                    </p>
                    <p
                      class="mx-1 border border-ludusPrimary rounded-full py-1 px-2"
                    >
                      APA
                    </p>
                  </div>
                </div>
                <!-- Editor Button -->
                <div class="flex justify-center">
                  <button
                    href="#"
                    class="bg-ludusPrimary text-center text-white font-semibold inline-block py-2 px-3 rounded-lg m-4"
                  >
                    <div class="flex">
                      <img src="assets/twofriends.svg" />
                      <p class="ml-2">Choose Editor</p>
                    </div>
                  </button>
                </div>
              </div>
              <!-- end card -->

              <!-- Card -->
              <div
                class="border text-left rounded-xl border-ludusCardOutline shadow-cardShadow bg-ludusWhite"
              >
                <!-- Profile -->
                <div class="border-b p-4 bg-white">
                  <!-- Rating and top links -->
                  <div class="flex justify-between">
                    <div class="flex">
                      <img src="assets/star.svg" />
                      <p class="ml-1 font-bold text-sm">4.9</p>
                      <p class="ml-1 italic font-extralight">(270)</p>
                    </div>
                    <a
                      href="#"
                      class="text-ludusPrimary italic font-semibold underline"
                      >Profile</a
                    >
                  </div>

                  <!-- Profile Glance -->
                  <div class="flex flex-col items-center">
                    <div class="relative">
                      <img
                        src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                        class="mt-4 w-24 rounded-full"
                      />
                      <div class="activity-dot activity-dot--active"></div>
                    </div>
                    <p class="font-bold mt-2">Johnathan W.</p>
                    <div class="flex items-center mt-1">
                      <img src="assets/clock.svg" class="w-3" />
                      <p class="italic font-extralight text-xs ml-1">
                        Within 48 Hours
                      </p>
                    </div>
                  </div>
                  <!-- Specialties -->
                  <div
                    class="flex justify-center mt-3 text-ludusPrimary text-sm"
                  >
                    <p
                      class="mx-1 border border-ludusPrimary rounded-full py-1 px-2"
                    >
                      MLA
                    </p>
                    <p
                      class="mx-1 border border-ludusPrimary rounded-full py-1 px-2"
                    >
                      APA
                    </p>
                  </div>
                </div>
                <!-- Editor Button -->
                <div class="flex justify-center">
                  <button
                    href="#"
                    class="bg-ludusPrimary text-center text-white font-semibold inline-block py-2 px-3 rounded-lg m-4"
                  >
                    <div class="flex">
                      <img src="assets/twofriends.svg" />
                      <p class="ml-2">Choose Editor</p>
                    </div>
                  </button>
                </div>
              </div>
              <!-- end card -->

              <!-- Card -->
              <div
                class="border text-left rounded-xl border-ludusCardOutline shadow-cardShadow bg-ludusWhite"
              >
                <!-- Profile -->
                <div class="border-b p-4 bg-white">
                  <!-- Rating and top links -->
                  <div class="flex justify-between">
                    <div class="flex">
                      <img src="assets/star.svg" />
                      <p class="ml-1 font-bold text-sm">4.9</p>
                      <p class="ml-1 italic font-extralight">(270)</p>
                    </div>
                    <a
                      href="#"
                      class="text-ludusPrimary italic font-semibold underline"
                      >Profile</a
                    >
                  </div>

                  <!-- Profile Glance -->
                  <div class="flex flex-col items-center">
                    <div class="relative">
                      <img
                        src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                        class="mt-4 w-24 rounded-full"
                      />
                      <div class="activity-dot activity-dot--active"></div>
                    </div>
                    <p class="font-bold mt-2">Johnathan W.</p>
                    <div class="flex items-center mt-1">
                      <img src="assets/clock.svg" class="w-3" />
                      <p class="italic font-extralight text-xs ml-1">
                        Within 48 Hours
                      </p>
                    </div>
                  </div>
                  <!-- Specialties -->
                  <div
                    class="flex justify-center mt-3 text-ludusPrimary text-sm"
                  >
                    <p
                      class="mx-1 border border-ludusPrimary rounded-full py-1 px-2"
                    >
                      MLA
                    </p>
                    <p
                      class="mx-1 border border-ludusPrimary rounded-full py-1 px-2"
                    >
                      APA
                    </p>
                  </div>
                </div>
                <!-- Editor Button -->
                <div class="flex justify-center">
                  <button
                    href="#"
                    class="bg-ludusPrimary text-center text-white font-semibold inline-block py-2 px-3 rounded-lg m-4"
                  >
                    <div class="flex">
                      <img src="assets/twofriends.svg" />
                      <p class="ml-2">Choose Editor</p>
                    </div>
                  </button>
                </div>
              </div>
              <!-- end card -->

              <!-- Card -->
              <div
                class="border text-left rounded-xl border-ludusCardOutline shadow-cardShadow bg-ludusWhite"
              >
                <!-- Profile -->
                <div class="border-b p-4 bg-white">
                  <!-- Rating and top links -->
                  <div class="flex justify-between">
                    <div class="flex">
                      <img src="assets/star.svg" />
                      <p class="ml-1 font-bold text-sm">4.9</p>
                      <p class="ml-1 italic font-extralight">(270)</p>
                    </div>
                    <a
                      href="#"
                      class="text-ludusPrimary italic font-semibold underline"
                      >Profile</a
                    >
                  </div>

                  <!-- Profile Glance -->
                  <div class="flex flex-col items-center">
                    <div class="relative">
                      <img
                        src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                        class="mt-4 w-24 rounded-full"
                      />
                      <div class="activity-dot activity-dot--active"></div>
                    </div>
                    <p class="font-bold mt-2">Johnathan W.</p>
                    <div class="flex items-center mt-1">
                      <img src="assets/clock.svg" class="w-3" />
                      <p class="italic font-extralight text-xs ml-1">
                        Within 48 Hours
                      </p>
                    </div>
                  </div>
                  <!-- Specialties -->
                  <div
                    class="flex justify-center mt-3 text-ludusPrimary text-sm"
                  >
                    <p
                      class="mx-1 border border-ludusPrimary rounded-full py-1 px-2"
                    >
                      MLA
                    </p>
                    <p
                      class="mx-1 border border-ludusPrimary rounded-full py-1 px-2"
                    >
                      APA
                    </p>
                  </div>
                </div>
                <!-- Editor Button -->
                <div class="flex justify-center">
                  <button
                    href="#"
                    class="bg-ludusPrimary text-center text-white font-semibold inline-block py-2 px-3 rounded-lg m-4"
                  >
                    <div class="flex">
                      <img src="assets/twofriends.svg" />
                      <p class="ml-2">Choose Editor</p>
                    </div>
                  </button>
                </div>
              </div>
              <!-- end card -->

              <!-- Card -->
              <div
                class="border text-left rounded-xl border-ludusCardOutline shadow-cardShadow bg-ludusWhite"
              >
                <!-- Profile -->
                <div class="border-b p-4 bg-white">
                  <!-- Rating and top links -->
                  <div class="flex justify-between">
                    <div class="flex">
                      <img src="assets/star.svg" />
                      <p class="ml-1 font-bold text-sm">4.9</p>
                      <p class="ml-1 italic font-extralight">(270)</p>
                    </div>
                    <a
                      href="#"
                      class="text-ludusPrimary italic font-semibold underline"
                      >Profile</a
                    >
                  </div>

                  <!-- Profile Glance -->
                  <div class="flex flex-col items-center">
                    <div class="relative">
                      <img
                        src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                        class="mt-4 w-24 rounded-full"
                      />
                      <div class="activity-dot activity-dot--active"></div>
                    </div>
                    <p class="font-bold mt-2">Johnathan W.</p>
                    <div class="flex items-center mt-1">
                      <img src="assets/clock.svg" class="w-3" />
                      <p class="italic font-extralight text-xs ml-1">
                        Within 48 Hours
                      </p>
                    </div>
                  </div>
                  <!-- Specialties -->
                  <div
                    class="flex justify-center mt-3 text-ludusPrimary text-sm"
                  >
                    <p
                      class="mx-1 border border-ludusPrimary rounded-full py-1 px-2"
                    >
                      MLA
                    </p>
                    <p
                      class="mx-1 border border-ludusPrimary rounded-full py-1 px-2"
                    >
                      APA
                    </p>
                  </div>
                </div>
                <!-- Editor Button -->
                <div class="flex justify-center">
                  <button
                    href="#"
                    class="bg-ludusPrimary text-center text-white font-semibold inline-block py-2 px-3 rounded-lg m-4"
                  >
                    <div class="flex">
                      <img src="assets/twofriends.svg" />
                      <p class="ml-2">Choose Editor</p>
                    </div>
                  </button>
                </div>
              </div>
              <!-- end card -->

              <!-- Card -->
              <div
                class="border text-left rounded-xl border-ludusCardOutline shadow-cardShadow bg-ludusWhite"
              >
                <!-- Profile -->
                <div class="border-b p-4 bg-white">
                  <!-- Rating and top links -->
                  <div class="flex justify-between">
                    <div class="flex">
                      <img src="assets/star.svg" />
                      <p class="ml-1 font-bold text-sm">4.9</p>
                      <p class="ml-1 italic font-extralight">(270)</p>
                    </div>
                    <a
                      href="#"
                      class="text-ludusPrimary italic font-semibold underline"
                      >Profile</a
                    >
                  </div>

                  <!-- Profile Glance -->
                  <div class="flex flex-col items-center">
                    <div class="relative">
                      <img
                        src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                        class="mt-4 w-24 rounded-full"
                      />
                      <div class="activity-dot activity-dot--active"></div>
                    </div>
                    <p class="font-bold mt-2">Johnathan W.</p>
                    <div class="flex items-center mt-1">
                      <img src="assets/clock.svg" class="w-3" />
                      <p class="italic font-extralight text-xs ml-1">
                        Within 48 Hours
                      </p>
                    </div>
                  </div>
                  <!-- Specialties -->
                  <div
                    class="flex justify-center mt-3 text-ludusPrimary text-sm"
                  >
                    <p
                      class="mx-1 border border-ludusPrimary rounded-full py-1 px-2"
                    >
                      MLA
                    </p>
                    <p
                      class="mx-1 border border-ludusPrimary rounded-full py-1 px-2"
                    >
                      APA
                    </p>
                  </div>
                </div>
                <!-- Editor Button -->
                <div class="flex justify-center">
                  <button
                    href="#"
                    class="bg-ludusPrimary text-center text-white font-semibold inline-block py-2 px-3 rounded-lg m-4"
                  >
                    <div class="flex">
                      <img src="assets/twofriends.svg" />
                      <p class="ml-2">Choose Editor</p>
                    </div>
                  </button>
                </div>
              </div>
              <!-- end card -->
            </div>
          </section>
        </main>
      </div>

      <div class="col-span-2 h-screen bg-white border p-6">
        <h2 class="text-3xl font-extralight">Your Chats</h2>

        <div class="border-b">
          <div
            class="flex items-center mt-6 px-4 py-5 rounded-xl bg-ludusPrimaryLight"
          >
            <div class="relative">
              <img
                src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                class="w-16 rounded-full"
              />
              <div class="activity-dot--small activity-dot--active"></div>
            </div>
            <div class="flex justify-between w-full items-center ml-2">
              <div class="flex flex-col w-full">
                <div class="flex justify-between">
                  <p class="font-bold">Johnathan W.</p>
                  <p>Just Now</p>
                </div>
                <p>This is some text</p>
              </div>
            </div>
          </div>
        </div>
        <!-- end chat bubble-->

        <div class="border-b">
          <div class="flex items-center px-4 py-5 rounded-xl">
            <div class="relative">
              <img
                src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                class="w-16 rounded-full"
              />
              <div class="activity-dot--small activity-dot--active"></div>
            </div>
            <div class="flex justify-between w-full items-center ml-2">
              <div class="flex flex-col w-full">
                <div class="flex justify-between">
                  <p class="font-bold">Johnathan W.</p>
                  <p>Just Now</p>
                </div>
                <p>This is some text</p>
              </div>
            </div>
          </div>
        </div>
        <!-- end chat bubble-->

        <div class="border-b">
          <div class="flex items-center px-4 py-5 rounded-xl">
            <div class="relative">
              <img
                src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                class="w-16 rounded-full"
              />
              <div class="activity-dot--small"></div>
            </div>
            <div class="flex justify-between w-full items-center ml-2">
              <div class="flex flex-col w-full">
                <div class="flex justify-between">
                  <p class="font-bold">Johnathan W.</p>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- end chat bubble-->
      </div>
    </div>
  </body>
  <script src="scripts/core.js"></script>
</html>
