<?php
    include 'includes/header.php';
?>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.css">


  <body class="bg-penzilsWhite overflow-hidden">
    <!-- Sidenav and nav -->
    <section
      class="w-full fixed h-screen lg:hidden z-10 font-light rounded-r-2xl sidebar">
      <div class="w-80 h-screen bg-penzilsWhite fixed z-10 shadow-2xl">
        <div class="flex items-center p-5">
          <a href="#" id="menuToggle">
            <img src="assets/hamburger.svg" class="mr-4 lg:hidden" />
          </a>
          <h1 class="penzils-header"><img src="assets/logo.svg" class="w-12 mr-4">Penzils</h1>
        </div>
        <div class="p-4 border-t flex items-center">
          <img src="assets/dashboard.svg" />
          <p class="ml-4">Dashboard</p>
        </div>
        <div class="p-4 flex items-center">
          <img src="assets/tutor.svg" alt="" />
          <p class="ml-4">Request Tutors</p>
        </div>
        <div class="p-4 flex items-center navbar--active">
          <img src="assets/search--active.svg" />
          <p class="ml-4">Browse Tutors</p>
        </div>
        <div class="p-4 flex items-center">
          <img src="assets/tutoronline.svg" />

          <p class="ml-4">Live Tutoring Now</p>
        </div>
      </div>
      <!-- <div class="w-full h-screen bg-black opacity-40"></div> -->
    </section>

    <header
      class="flex fixed p-4 lg:p-8 w-full bg-white items-center border-b border-gray-100 font-light justify-between top-0"
    >
    <h1 class="penzils-header"><img src="assets/logo.svg" class="w-12 mr-4">Penzils</h1>
    </header>

    <section class="flex justify-center items-center h-screen lg:hidden">
      <h1 class="text-2xl p-2 text-center">
        Please complete the onboarding process on a laptop or tablet in
        horizontal mode.
      </h1>
    </section>

    <section class="flex justify-center items-center h-screen slide slide--active" id="current_level_eduction">
      <div class="max-w-2xl flex flex-col">
        <h1 class="text-4xl font-bold">
          What is your current level of education?
        </h1>
        <div class="mt-10 selectdiv">
          <p class="italic text-gray-500">What grade are you in?</p>
          <select name="grade" id="grade" class="mt-2 w-full card shadow-glow bg-white">
            <option value="elementary" class="w-full">Elementary School</option>
            <option value="middle" class="w-full">Middle School</option>
            <option value="ninth" class="w-full">9th Grade</option>
            <option value="tenth" class="w-full">10th Grade</option>
            <option value="eleventh" class="w-full">11th Grade</option>
            <option value="twelfth" class="w-full">12th Grade</option>
            <option value="freshman" class="w-full">College Freshman</option>
            <option value="sophomore" class="w-full">College Sophmore</option>
            <option value="junior" class="w-full">College Junior</option>
            <option value="senior" class="w-full">College Senior</option>
            <option value="grad" class="w-full">Graduate School</option>
          </select>
        </div>
      </div>
    </section>

    <section class="flex justify-center items-center h-screen slide slide--start">
      <div class="max-w-2xl flex flex-col">
        <h1 class="text-4xl font-bold">What are the titles of the classes you can help with?</h1>
        <input type="text" class="mt-2 w-full card shadow-glow bg-white" id="classes" />
        <div class="grid lg:grid-cols-3 gap-3 mt-3">
          <button data-search-title="Geography" class="btn bg-white subject--name cursor-pointer">Geography</button>
          <button href="#" data-search-title="Geometry"class="btn bg-white subject--name cursor-pointer">Geometry</button>
        </div>
        <div class="mt-10 subject--list">
        <div class="mr-1 mt-2 border border-penzilsPrimary rounded-full py-1 px-3 inline-block subject--border hidden" id="default">
            <div class="flex items-center" >
              <p class="text-penzilsPrimary subject--title">Default</p>
              <button class="delete-subject">
                <img src="assets/close--blue.svg" alt="" class="ml-2" />
              </button>
            </div>
          </div>
        </div>
      </div>
    </section>

    <section
      class="flex justify-center items-center h-screen slide slide--start"
    >
      <div class="max-w-3xl flex flex-col">
        <h1 class="text-4xl font-bold">
          When are you available for your session?
        </h1>
        <p class="text-gray-500 mt-10">(Check all that apply)</p>
        <div class="mt-2 card w-full grid grid-cols-9 gap-3">
          <p class="col-start-3 text-center font-bold">Sun</p>
          <p class="text-center font-bold">Mon</p>
          <p class="text-center font-bold">Tue</p>
          <p class="text-center font-bold">Wed</p>
          <p class="text-center font-bold">Thu</p>
          <p class="text-center font-bold">Fri</p>
          <p class="text-center font-bold">Sat</p>
          <!-- Row 2 -->
          <div class="col-span-2 flex flex-col justify-center ml-10">
            <p class="font-bold">Morning</p>
            <p class="text-gray-500 text-sm">Before Noon</p>
          </div>
          <!-- Squares -->
          <button class="cursor-pointer square" id="sunMorning"></button>
          <button class="cursor-pointer square" id="monMorning"></button>
          <button class="cursor-pointer square" id="tueMorning"></button>
          <button class="cursor-pointer square" id="wedMorning"></button>
          <button class="cursor-pointer square" id="thuMorning"></button>
          <button class="cursor-pointer square" id="friMorning"></button>
          <button class="cursor-pointer square" id="satMorning"></button>
          <!-- Row 3 -->
          <div class="col-span-2 flex flex-col justify-center ml-10">
            <p class="font-bold">Afternoon</p>
            <p class="text-gray-500 text-sm">12-5pm</p>
          </div>
          <!-- Squares -->
          <button class="cursor-pointer square" id="sunAfternoon"></button>
          <button class="cursor-pointer square" id="monAfternoon"></button>
          <button class="cursor-pointer square" id="tueAfternoon"></button>
          <button class="cursor-pointer square" id="wedAfternoon"></button>
          <button class="cursor-pointer square" id="thuAfternoon"></button>
          <button class="cursor-pointer square" id="friAfternoon"></button>
          <button class="cursor-pointer square" id="satAfternoon"></button>
          <!-- Row 4 -->
          <div class="col-span-2 flex flex-col justify-center ml-10">
            <p class="font-bold">Evening</p>
            <p class="text-gray-500 text-sm">After 5pm</p>
          </div>
          <!-- Squares -->
          <button class="cursor-pointer square" id="sunEvening"></button>
          <button class="cursor-pointer square" id="monEvening"></button>
          <button class="cursor-pointer square" id="tueEvening"></button>
          <button class="cursor-pointer square" id="wedEvening"></button>
          <button class="cursor-pointer square" id="thuEvening"></button>
          <button class="cursor-pointer square" id="friEvening"></button>
          <button class="cursor-pointer square" id="satEvening"></button>
          <div class="flex col-span-4 ml-10 mt-2">
            <button
              class="w-6 h-6 border-penzilsPrimary border-2 rounded flexible"
            ></button>
            <p class="ml-3">Anytime - I'm Flexible</p>
          </div>
        </div>
      </div>
    </section>

    <section
      class="flex justify-center items-center h-screen slide slide--start"
    >
      <div class="max-w-2xl flex flex-col">
        <h1 class="text-4xl font-bold">
          What school are you currently enrolled in?
        </h1>
        <input
          type="text"
          name=""
          id="currentSchool"
          class="mt-10 w-full bg-white card"
          placeholder="Type here..."
        />
      </div>
    </section>

    <section
      class="flex justify-center items-center h-screen slide slide--start" x-data="{open: false}"
    >
      <div class="max-w-2xl flex flex-col">
        <h1 class="text-4xl font-bold">
          Do you have a preference on the tutor’s location?
        </h1>
        <button class="btn helpType bg-white mt-12 w-full" @click="open = false" id="online">
          Online
        </button>
        <button class="btn helpType mt-3 w-full bg-white" id="inPersonStudent" @click="open = true" id="inPerson">
          In Person
        </button>
        <button class="btn helpType mt-3 w-full bg-white" id="eitherStudent" @click="false" id="doesntMatter">
          Doesn't Matter
        </button>
        <div class="grid grid-cols-2 my-4 gap-3" id="inPersonStudentDropdown" x-show.transition="open">
          <div>
            <p class="italic text-gray-500">Zip Code</p>
            <input
              type="text"
              name=""
              id="zipCodeLocation"
              class="w-full bg-white card mt-1"
              placeholder="Number goes here"
            />
          </div>
          <div class="selectdiv">
            <p class="italic text-gray-500">Within a</p>
            <select name="" id="radiusLocation" class="mt-1 w-full card shadow-glow bg-white">
              <option value="1mile" class="w-full">1 mile radius</option>
              <option value="5mile" class="w-full">5 mile radius</option>
            </select>
          </div>
        </div>
      </div>
    </section>

    <section
      class="flex justify-center items-center h-screen slide slide--start"
    >
      <div class="max-w-2xl flex flex-col">
        <h1 class="text-4xl font-bold">
          Please submit any course material and clarify any information about
          your needs.
        </h1>
        <textarea
          name="help"
          id="subjectHelp"
          rows="6"
          class="mt-4 w-full bg-white card resize-none"
        ></textarea>
        <div
          class="flex bg-penzilsPrimary p-4 mt-4 w-3/12 justify-center text-white rounded cursor-pointer"
          id="addPictureHelp"
          onClick="document.getElementById('addPictureStudent').click()"
        >
          <img src="assets/photo.svg" alt="" />
          <p class="ml-1">Add Picture</p>
        </div>
        <input type="file" class="hidden" id="addPictureStudent" />
      <!--   <div class="grid grid-rows-3 grid-flow-col max-w-2xl mt-2 gap-1">
          <div href="#" class="text-penzilsPrimary underline flex items-center">
            <a href="" class="mr-4"> Homework Two </a>
            <button class="cursor-pointer">
              <img src="assets/close--blue.svg" alt="" class="h-4 w-4" />
            </button>
          </div>

          <div href="#" class="text-penzilsPrimary underline flex items-center">
            <a href="" class="mr-4"> Homework Three </a>
            <button class="cursor-pointer">
              <img src="assets/close--blue.svg" alt="" class="h-4 w-4" />
            </button>
          </div>
        </div> -->
      </div>
    </section>

    <div class="absolute flex flex-col items-center lg:bottom-1/2 lg:left-24 cursor-pointer slideLeftButton" style="display: none;">
      <div
        class="rounded-full bg-penzilsPrimary h-12 w-12 text-white flex justify-center items-center"
      >
      &#5176;
      </div>
      <p id="fixedButtonTitleTwo"></p>
    </div>

    <div
      class="absolute flex flex-col items-center lg:bottom-1/2 lg:right-24 cursor-pointer slideRightButton"
    >
      <div
        class="rounded-full bg-penzilsPrimary h-12 w-12 text-white flex justify-center items-center"
      >
        &#5171;
      </div>
      <p id="fixedButtonTitle">Classes</p>
    </div>

    

    <!-- Progress bar -->
    <div class="hidden lg:flex lg:absolute bottom-10 justify-center w-full">
      <div class="mx-3">
        <img
          id="studentGrade"
          src="assets/onboarding/grade--active.svg"
          alt=""
          class="mx-auto rounded-full p-2 bg-white border border-penzilsCardOutline w-10 bg-penzilsPrimary"
        />
        <p class="text-center">Grade</p>
      </div>

      <img src="assets/onboarding/line.svg" alt="" class="mb-5" />
      <div class="mx-3">
        <img
          id="studentClasses"
          src="assets/onboarding/subject.svg"
          alt=""
          class="mx-auto rounded-full p-2 bg-white border border-penzilsCardOutline w-10 transition-all"
        />
        <p class="text-center">Classes</p>
      </div>

      <img src="assets/onboarding/line.svg" alt="" class="mb-5" />
      <div class="mx-3">
        <img
          id="studentAvailability"
          src="assets/onboarding/availability.svg"
          alt=""
          class="mx-auto rounded-full p-2 bg-white border border-penzilsCardOutline w-10 transition-all"
        />
        <p class="text-center">Availability</p>
      </div>

      <img src="assets/onboarding/line.svg" alt="" class="mb-5" />
      <div class="mx-3">
        <img
          id="studentEducation"
          src="assets/onboarding/classes.svg"
          alt=""
          class="mx-auto rounded-full p-2 bg-white border border-penzilsCardOutline w-10 transition-all"
        />
        <p class="text-center">Education</p>
      </div>

      <img src="assets/onboarding/line.svg" alt="" class="mb-5" />
      <div class="mx-3">
        <img
          id="studentLocation"
          src="assets/onboarding/location.svg"
          alt=""
          class="mx-auto rounded-full p-2 bg-white border border-penzilsCardOutline w-10 transition-all"
        />
        <p class="text-center">Location</p>
      </div>

      <img src="assets/onboarding/line.svg" alt="" class="mb-5" />
      <div class="mx-3">
        <img
          id="studentNotes"
          src="assets/onboarding/notes.svg"
          alt=""
          class="mx-auto rounded-full p-2 bg-white border border-penzilsCardOutline w-10 transition-all"
        />
        <p class="text-center">Notes</p>
      </div>

      <img src="assets/onboarding/line.svg" alt="" class="mb-5" />
      <div class="mx-3">
        <img
          id="studentBrowse"
          src="assets/onboarding/search.svg"
          alt=""
          class="mx-auto rounded-full p-2 bg-white border border-penzilsCardOutline w-10 transition-all"
        />
        <p class="text-center">Browse</p>
      </div>
    </div>

    <script src="./scripts/jquery.js"></script>
    <script src="./scripts/core.js"></script>









    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.js"></script>




    <script type="text/javascript">

      $(".slideLeftButton").click(function(){

          var text = $(".slideLeftButton p").text();  

          if (text == 'Location') {


          $("#studentNotes").attr('src','assets/onboarding/notes.svg')
          $("#studentNotes").removeClass('bg-penzilsPrimary');
          $("#studentLocation").attr('src','assets/onboarding/location--active.svg')
          $("#studentLocation").addClass('bg-penzilsPrimary');

            $(".slideLeftButton p").html('Education');
            $(".slideRightButton p").html('Notes');
          
          }else if (text == 'Education') {

            $(".slideLeftButton p").html('Availability');
            $(".slideRightButton p").html('Location');


            $("#studentEducation").attr('src','assets/onboarding/classes--active.svg')
            $("#studentEducation").addClass('bg-penzilsPrimary');

            $("#studentLocation").attr('src','assets/onboarding/location.svg')
          $("#studentLocation").removeClass('bg-penzilsPrimary');


          }else if (text == 'Availability') {
              
              $(".slideLeftButton p").html('Classes');
              $(".slideRightButton p").html('Education');

              $("#studentEducation").attr('src','assets/onboarding/classes.svg')
              $("#studentEducation").removeClass('bg-penzilsPrimary');

              $("#studentAvailability").attr('src','assets/onboarding/availability--active.svg')
              $("#studentAvailability").addClass('bg-penzilsPrimary');



          }else if (text == 'Classes') {

            $(".slideLeftButton p").html('Grades');
            $(".slideRightButton p").html('Availability');



          $("#studentAvailability").attr('src','assets/onboarding/availability.svg')
          $("#studentAvailability").removeClass('bg-penzilsPrimary');

          $("#studentClasses").attr('src','assets/onboarding/subject--active.svg');
          $("#studentClasses").addClass('bg-penzilsPrimary');

          
          }else if (text == 'Grades') {

            $(".slideRightButton p").html('Classes');

            $(".slideLeftButton").hide();
            
            $("#studentClasses").attr('src','assets/onboarding/subject.svg');
            $("#studentClasses").removeClass('bg-penzilsPrimary');

            $("#studentGrade").attr('src','assets/onboarding/grade--active.svg');
           $("#studentGrade").addClass('bg-penzilsPrimary');

          }



      });

      $(".slideRightButton").click(function(){

        var text = $(".slideRightButton p").text();

        if (text == 'Classes') {







          $("#studentClasses").attr('src','assets/onboarding/subject--active.svg');
          $("#studentGrade").attr('src','assets/onboarding/grade.svg')
          $("#studentGrade").removeClass('bg-penzilsPrimary');
          $("#studentClasses").addClass('bg-penzilsPrimary');

            $(".slideLeftButton").show();
            $(".slideLeftButton p").html('Grades');
            $(".slideRightButton p").html('Availability');
        
        }else if (text == 'Availability') {

          $("#studentClasses").attr('src','assets/onboarding/subject.svg')
          $("#studentClasses").removeClass('bg-penzilsPrimary');

          $("#studentAvailability").attr('src','assets/onboarding/availability--active.svg')
          $("#studentAvailability").addClass('bg-penzilsPrimary');


          $(".slideLeftButton p").html('Classes');
          $(".slideRightButton p").html('Education');

        }else if (text == 'Education') {
          $(".slideLeftButton p").html('Availability');
          $(".slideRightButton p").html('Location');

          $("#studentAvailability").attr('src','assets/onboarding/availability.svg')
          $("#studentAvailability").removeClass('bg-penzilsPrimary');


          $("#studentEducation").attr('src','assets/onboarding/classes--active.svg')
          $("#studentEducation").addClass('bg-penzilsPrimary');


        }else if (text == 'Location') {
          $(".slideLeftButton p").html('Education');
          $(".slideRightButton p").html('Notes');


          $("#studentEducation").attr('src','assets/onboarding/classes.svg')
          $("#studentEducation").removeClass('bg-penzilsPrimary');
          $("#studentLocation").attr('src','assets/onboarding/location--active.svg')
          $("#studentLocation").addClass('bg-penzilsPrimary');


        }else if (text == 'Notes') {
          $(".slideLeftButton p").html('Location');
          $(".slideRightButton p").html('Browse');
          $("#studentNotes").attr('src','assets/onboarding/notes--active.svg')
          $("#studentNotes").addClass('bg-penzilsPrimary');

          $("#studentLocation").attr('src','assets/onboarding/location.svg')
          $("#studentLocation").removeClass('bg-penzilsPrimary');
        }else if (text == 'Browse') {


          var grade = $("#grade").val();

          var subjects = [];

          $(".subject--title").each(function(){

            var sub = $(this).text();

            if (sub != 'Default') {

                subjects.push(sub);
          
            }
          });


          var sunMorning = false;
        var monMorning = false;
        var tueMorning = false;
        var wedMorning = false;
        var thuMorning = false;
        var friMorning = false;
        var satMorning = false;
        var sunMorning = false;

        var monAfternoon = false;
        var tueAfternoon = false;
        var wedAfternoon = false;
        var thuAfternoon = false;
        var friAfternoon = false;
        var satAfternoon = false;
        var sunAfternoon = false;

        var monEvening = false;
        var tueEvening = false;
        var wedEvening = false;
        var thuEvening = false;
        var friEvening = false;
        var satEvening = false;
        var sunEvening = false;

        if ($("#sunMorning").hasClass('square--active')) {

            sunMorning = true;
        }
        if ($("#sunAfternoon").hasClass('square--active')) {

            sunAfternoon = true;
        }
        if ($("#sunEvening").hasClass('square--active')) {

            sunEvening = true;
        }


        if ($("#monMorning").hasClass('square--active')) {

            monMorning = true;
        }
        if ($("#monAfternoon").hasClass('square--active')) {

            monAfternoon = true;
        }
        if ($("#monEvening").hasClass('square--active')) {

            monEvening = true;
        }


        if ($("#tueMorning").hasClass('square--active')) {

            tueMorning = true;
        }
        if ($("#tueAfternoon").hasClass('square--active')) {

            tueAfternoon = true;
        }
        if ($("#tueEvening").hasClass('square--active')) {

            tueEvening = true;
        }

        if ($("#wedMorning").hasClass('square--active')) {

            wedMorning = true;
        }
        if ($("#wedAfternoon").hasClass('square--active')) {

            wedAfternoon = true;
        }
        if ($("#wedEvening").hasClass('square--active')) {

            wedEvening = true;
        }

        if ($("#thuMorning").hasClass('square--active')) {

            thuMorning = true;
        }
        if ($("#thuAfternoon").hasClass('square--active')) {

            thuAfternoon = true;
        }
        if ($("#thuEvening").hasClass('square--active')) {

            thuEvening = true;
        }

        if ($("#friMorning").hasClass('square--active')) {

            friMorning = true;
        }
        if ($("#friAfternoon").hasClass('square--active')) {

            friAfternoon = true;
        }
        if ($("#friEvening").hasClass('square--active')) {

            friEvening = true;
        }

        if ($("#satMorning").hasClass('square--active')) {

            satMorning = true;
        }
        if ($("#satAfternoon").hasClass('square--active')) {

            satAfternoon = true;
        }
        if ($("#satEvening").hasClass('square--active')) {

            satEvening = true;
        }




        var fd = new FormData();    
        fd.append('grade', grade);
        fd.append('subjects', subjects);
        fd.append('sun_morning', sunMorning);
        fd.append('sun_evening', sunEvening);
        fd.append('sun_afternoon', sunAfternoon);
        fd.append('mon_morning', monMorning);
        fd.append('mon_evening', monEvening);
        fd.append('mon_afternoon', monAfternoon);
        fd.append('tue_morning', tueMorning);
        fd.append('tue_evening', tueEvening);
        fd.append('tue_afternoon', tueAfternoon);
        fd.append('wed_morning', wedMorning);
        fd.append('wed_evening', wedEvening);
        fd.append('wed_afternoon', wedAfternoon);
        fd.append('thu_morning', thuMorning);
        fd.append('thu_evening', thuEvening);
        fd.append('thu_afternoon', thuAfternoon);
        fd.append('fri_morning', friMorning);
        fd.append('fri_evening', friEvening);
        fd.append('fri_afternoon', friAfternoon);
        fd.append('sat_morning', satMorning);
        fd.append('sat_evening', satEvening);
        fd.append('sat_afternoon', satAfternoon);
        fd.append('sun_morning', sunMorning);
        fd.append('sun_evening', sunEvening);
        fd.append('sun_afternoon', sunAfternoon);
        fd.append('currentSchool', $("#currentSchool").val());
        fd.append('subjectHelp', $("#subjectHelp").val());
        var picture = $("#addPictureStudent")[0].files[0];
        fd.append('picture', picture);

        var teacher_location = "";

        if ($("#online").hasClass('btn--active')) {

          teacher_location = "online";
        }

        if ($("#inPersonStudent").hasClass('btn--active')) {

          teacher_location = "in_person";
        }

        if ($("#eitherStudent").hasClass('btn--active')) {

          teacher_location = "no_matter";
        }


        fd.append('location', teacher_location);




        $.ajax({
          url: 'classes/api.php',
          data: fd,
         processData: false,
          contentType: false,
          type: 'POST',
          success: function ( data ) {
            
            location.href = "browse.php";
          }
        });














        }

      });


      $(".slideLeftButton").click(function(){



      });

    </script>

    <script type="text/javascript">
        $("#classes").keyup(function(e){ 
    var code = e.key; // recommended to use e.key, it's normalized across devices and languages
    if(code==="Enter") e.preventDefault();
    if(code==="Enter"){
        

        var classes = $(this).val();

        var st = '<div class="mr-1 mt-2 border border-penzilsPrimary rounded-full py-1 px-3 inline-block subject--border" id="default" data-title="'+classes+'"><div class="flex items-center"><p class="text-penzilsPrimary subject--title">'+classes+'</p><button class="delete-subject"><img src="assets/close--blue.svg" alt="" class="ml-2"></button></div></div>';

        $(".subject--list").append(st);

        $(this).val('');

    }
});
    </script>
  </body>
</html>
