<?php
    error_reporting(0);
    include 'includes/header.php';
?>
<style>
#usernameTutor
{
  cursor: not-allowed;
}
</style>
<body class="bg-penzilsWhite">
<?php
    include 'includes/nav-tutor.php';
?>

  <section class="grid lg:grid-cols-12 gap-4 p-6 lg:p-12">
    <!-- Main -->
    <div
      class="bg-penzilsWhite border border-penzilsCardOutline rounded-xl shadow-cardShadow p-4 lg:col-start-3 lg:col-span-8 mt-20 lg:mt-0"
    >
      <h2 class="text-2xl font-light">Personal Information</h2>
      <div class="mt-6 flex items-center">
        <img
          src="controller/<?= $user->profile_picture; ?>"
          alt="Profile Picture"
          class="w-14 h-14 rounded-full object-cover"
        />
        <div class="ml-2 flex flex-col">
          <p><?= $user->first_name . ' ' . $user->last_name; ?></p>
          <a
            href="#"
            class="text-penzilsPrimary underline mt-2"
            onClick="document.getElementById('tutorProfilePic').click()"
            >Change Profile Picture</a
          >
          <input type="file" class="hidden" id="tutorProfilePic" />
        </div>
      </div>

      <div class="grid grid-cols-1 md:grid-cols-6 gap-3 mt-4">
        <div class="col-span-1 md:col-span-3">
          <label
            class="block font-light italic text-gray-500"
            for="firstNameTutor"
            >First Name</label
          >
          <input
            type="text"
            name="firstNameTutor"
            id="firstNameTutor"
            class="form-input"
            value="<?= $user->first_name; ?>"
          />
        </div>
        <div class="col-span-1 md:col-span-3">
          <label
            class="block font-light italic text-gray-500"
            for="lastNameTutor"
            >Last Name</label
          >
          <input
            type="text"
            name="lastNameTutor"
            id="lastNameTutor"
            class="form-input"
            value="<?= $user->last_name; ?>"
          />
        </div>
        <div class="col-span-1 md:col-span-6">
          <label class="block font-light italic text-gray-500" for="bioTutor"
            >Bio</label
          >
          <textarea
            name="bioTutor"
            id="bioTutor"
            class="form-input resize-none h-24"
            placeholder="Tell us a little about yourself"
            
          ><?= $user->bio; ?></textarea>
        </div>
        <div class="col-span-1 md:col-span-6">
          <label
            class="block font-light italic text-gray-500"
            for="experienceTutor"
            >Experience</label
          >
          <textarea
            name="experienceTutor"
            id="experienceTutor"
            class="form-input resize-none h-24"
            placeholder="What experience do you have?"
          ><?= $user->experience; ?></textarea>
        </div>

        <div class="md:col-span-6" x-data="{edit: false, addSub: false}">
          <p class="block font-light italic text-gray-500">Subjects to Tutor</p>
          <div
            class="mt-4 grid grid-cols-2 lg:grid-cols-6 gap-3 items-end subjectList"
          >
          <?php  foreach($user->subjects as $s){ ?>
            <a data--title="<?= $s->title; ?>" data--id="<?= $s->id; ?>" href="#" class="relative bg-penzilsPrimary px-4 py-4 text-center rounded-lg font-bold text-penzilsWhite subjectTag" >
              <img
                src="./assets/close--subject.svg" alt=""
                class="absolute top-2 right-2 remove--subject"
                x-show.transition="edit"
              />
              <p><?= $s->title; ?></p>
            </a>  
          <?php } ?>
            
            <input
              type="text"
              name="addSubject"
              id="addSubject"
              class="form-input h-full col-span-2 lg:col-span-4"
              placeholder="Search for subjects to add."
              x-show.transition="addSub"
            />
            <a
              href="#"
              class="relative bg-penzilsPrimaryLight px-4 py-4 text-center rounded-lg font-bold text-penzilsPrimary add--new--subject"
              x-show.transition="edit"
              @click.prevent="addSub = true"
            >
              <img
                src="./assets/close--subject.svg"
                alt=""
                class="absolute top-2 right-2 hidden "
              />
              <p>Add +</p>
            </a>
            <a href="#" class="text-penzilsPrimary underline" x-show="edit === false" @click.prevent="edit = true">
              Edit
            </a>
          </div>
          <div class="subject--autocomplete--list mt-6">
          </div>
        </div>

        <hr class="md:col-span-6 my-6" />
        <h2 class="text-2xl font-light md:col-span-6">Account Information</h2>
        <div class="col-span-1 md:col-span-3">
          <label
            class="block font-light italic text-gray-500"
            for="usernameTutor"
            >Username</label
          >
          <input
            type="text"
            name="usernameTutor"
            id="usernameTutor"
            class="form-input"
            readonly="readonly"
            value="<?= $user->email; ?>"
          />
        </div>
        <div class="col-span-1 md:col-span-3 md:col-start-1">
          <label
            class="block font-light italic text-gray-500"
            for="passwordTutor"
            >Password</label
          >
          <input
            type="password"
            name="passwordTutor"
            id="passwordTutor"
            class="form-input"
          />
        </div>
        <div class="col-span-1 md:col-span-3">
          <label
            class="block font-light italic text-gray-500"
            for="passwordRetypeTutor"
            >Retype Password</label
          >
          <input
            type="password"
            name="passwordRetypeTutor"
            id="passwordRetypeTutor"
            class="form-input"
          />
        </div>

        <hr class="md:col-span-6 my-6" />
        <h2 class="text-2xl font-light md:col-span-6">Payment Information</h2>
        <div class="col-span-1 md:col-span-3 md:col-start-1">
          <label
            class="block font-light italic text-gray-500"
            for="cardNameTutor"
            >Name on Card</label
          >
          <input
            type="text"
            name="cardNameTutor"
            id="cardNameTutor"
            class="form-input"
          />
        </div>
        <div class="col-span-1 md:col-span-3 md:col-start-1">
          <label
            class="block font-light italic text-gray-500"
            for="cardNumTutor"
            >Card Number</label
          >
          <input
            type="number"
            name="cardNumTutor"
            id="cardNumTutor"
            class="form-input"
          />
        </div>
        <div class="col-span-1 md:col-span-3 md:col-start-1">
          <label class="block font-light italic text-gray-500" for="expTutor"
            >Expiration Date</label
          >
          <input type="text" name="expTutor" id="expTutor" class="form-input" />
        </div>
        <div class="col-span-1 md:col-span-3">
          <label class="block font-light italic text-gray-500" for="cvcTutor"
            >Security Code</label
          >
          <input type="text" name="cvcTutor" id="cvcTutor" class="form-input" />
        </div>
        <button
          id="saveSettings"
          class="mt-4 md:col-start-6 bg-penzilsPrimary text-penzilsWhite px-4 py-2 rounded"
        >
          Save
        </button>
      </div>
    </div>
  </section>
</body>
<script>

$('#saveSettings').on('click', function(e){
  e.preventDefault();
  var firstName = $('#firstNameTutor').val();
  var lastName = $('#lastNameTutor').val();
  var bio = $('#bioTutor').val();
  var experience = $('#experienceTutor').val();
  var pass = $('#passwordTutor').val();

  var subjects = [];

$(".subjectTag").each(function(){
  var sub = $(this).attr('data--title');
  if (sub != 'Default' && typeof sub != "Undefined") {
      subjects.push(sub);
  }
});
  console.log(subjects);
  $.post('./controller/update_tutor.controller.php', { action: 'update', fn : firstName, ln : lastName, bio : bio, experience : experience, subjects : subjects, password : password})
    .done(function(data){
      alert(data);
    });
});
$(document).on('click', '.remove--subject', function(e){
  e.preventDefault();
  $(this).closest('.subjectTag').remove();
});

</script>

<script type="text/javascript">
    $("#addSubject").keyup(function(e){ 
      var code = e.key; // recommended to use e.key, it's normalized across devices and languages
    if(code==="Enter") e.preventDefault();
    if(code==="Enter"){
        var classes = $(this).val();
        var st = '<a data--title="' + classes + '" data--id="0" href="#" class="relative bg-penzilsPrimary px-4 py-4 text-center rounded-lg font-bold text-penzilsWhite subjectTag"><img src="./assets/close--subject.svg" alt="" class="absolute top-2 right-2 remove--subject" x-show.transition="edit" style=""><p>' + classes + '</p></a>';
        // var st = '<div class="mr-1 mt-2 border border-penzilsPrimary rounded-full py-1 px-3 inline-block subject--border" id="default" data-title="'+classes+'"><div class="flex items-center"><p class="text-penzilsPrimary subject--title">'+classes+'</p><button class="delete-subject"><img src="assets/close--blue.svg" alt="" class="ml-2"></button></div></div>';
        $(".subjectList").prepend(st);
        $(this).val('');

    }
    $.post('./controller/auto_complete.controller.php', { action : 'classes', term : $(this).val() })
    .done(function(data){
        $('.subject--autocomplete--list').html(data);
    });
});
$(document).on('click', '.subject--name', function(e){
  e.preventDefault();
  $('#addSubject').val($(this).text());
});
$(document).on('click', '.add--new--subject', function(e){
  var classes = $("#addSubject").val();
  if(classes === ""){
    return;
  }
  var st = '<a data--title="' + classes + '" data--id="0" href="#" class="relative bg-penzilsPrimary px-4 py-4 text-center rounded-lg font-bold text-penzilsWhite subjectTag"><img src="./assets/close--subject.svg" alt="" class="absolute top-2 right-2 remove--subject" x-show.transition="edit" style=""><p>' + classes + '</p></a>';
  $(".subjectList").prepend(st);
});

$('#passwordRetypeTutor').on('change', function(e){
  const check_pass = $(this).val();
  const pass = $('#passwordTutor').val();
  if(check_pass != pass){
    $(this).css('color', 'red');
    $(this).css('border-color', 'red');
    $('#passwordTutor').css('border-color', 'red');
    $('#passwordTutor').css('color', 'red');
  } else {
    $('#passwordTutor').css('color', '');
    $('#passwordTutor').css('border-color', '');
    $(this).css('color', '');
    $(this).css('border-color', '');
  }
});

  $('#tutorProfilePic').on('change', function(e){
          var fd = new FormData();    
          var get_docs = $(this);
          fd.append('profile_picture', $(this)[0].files[0]);
          
          fd.append('action', 'profile_picture');
          $.ajax({
          url: './controller/update_tutor.controller.php',
          data: fd,
          processData: false,
          contentType: false,
          type: 'POST',
          success: function ( data ) {
            alert('Profile Picture Updated');    
          }
        });
  })
            
    </script>


